Skip to main content
POST
/
vault
/
{id}
/
events
/
subscriptions
curl -X POST "https://api.case.dev/vault/%3Cstring%3E/events/subscriptions" \
  -H "Authorization: Bearer $CASEDEV_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "callbackUrl": "<string>"
}'

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required

Vault ID

Body

application/json
callbackUrl
string<uri>
required

Webhook endpoint URL that will receive vault event deliveries

eventTypes
string[]

Vault event types to deliver. Omit to receive the default supported set.

objectIds
string[]

Vault object IDs to limit notifications to. Omit to receive events for all objects in the vault.

signingSecret
string

Optional secret used to sign outbound webhook deliveries

Response

Vault webhook subscription created successfully